# Uses of Enum
io.dapr.v1.DaprProtos.SubtleGetKeyRequest.KeyFormat

Packages that use DaprProtos.SubtleGetKeyRequest.KeyFormat
Package
Description
io.dapr.v1

## Uses of DaprProtos.SubtleGetKeyRequest.KeyFormat in io.dapr.v1

Methods in io.dapr.v1 that return DaprProtos.SubtleGetKeyRequest.KeyFormat
Modifier and Type
Method
Description
`static DaprProtos.SubtleGetKeyRequest.KeyFormat`
DaprProtos.SubtleGetKeyRequest.KeyFormat.`forNumber(int value)`
`DaprProtos.SubtleGetKeyRequest.KeyFormat`
DaprProtos.SubtleGetKeyRequest.Builder.`getFormat()`
Response format
`DaprProtos.SubtleGetKeyRequest.KeyFormat`
DaprProtos.SubtleGetKeyRequest.`getFormat()`
Response format
`DaprProtos.SubtleGetKeyRequest.KeyFormat`
DaprProtos.SubtleGetKeyRequestOrBuilder.`getFormat()`
Response format
`static DaprProtos.SubtleGetKeyRequest.KeyFormat`
DaprProtos.SubtleGetKeyRequest.KeyFormat.`valueOf(int value)`
Deprecated.
`static DaprProtos.SubtleGetKeyRequest.KeyFormat`
DaprProtos.SubtleGetKeyRequest.KeyFormat.`valueOf(com.google.protobuf.Descriptors.EnumValueDescriptor desc)`
Returns the enum constant of this type with the specified name.
`static DaprProtos.SubtleGetKeyRequest.KeyFormat`
DaprProtos.SubtleGetKeyRequest.KeyFormat.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static DaprProtos.SubtleGetKeyRequest.KeyFormat[]`
DaprProtos.SubtleGetKeyRequest.KeyFormat.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in io.dapr.v1 that return types with arguments of type DaprProtos.SubtleGetKeyRequest.KeyFormat
Modifier and Type
Method
Description
`static com.google.protobuf.Internal.EnumLiteMap<DaprProtos.SubtleGetKeyRequest.KeyFormat>`
DaprProtos.SubtleGetKeyRequest.KeyFormat.`internalGetValueMap()`
Methods in io.dapr.v1 with parameters of type DaprProtos.SubtleGetKeyRequest.KeyFormat
Modifier and Type
Method
Description
`DaprProtos.SubtleGetKeyRequest.Builder`
DaprProtos.SubtleGetKeyRequest.Builder.`setFormat(DaprProtos.SubtleGetKeyRequest.KeyFormat value)`
Response format